Name:    swarp
Version: 2.41.2
Release: %mkrel 1
Summary: Tool that resamples and co-adds together FITS images

Group:   Sciences/Astronomy
License: GPLv3
URL:     http://www.astromatic.net/software/%{name}

Source0: https://github.com/astromatic/swarp/archive/%{name}-%{version}.tar.gz
Patch0: swarp-security.patch

BuildRequires: pkgconfig(cfitsio)

%description
SWarp is a program that resamples and co-adds together FITS images
using any arbitrary astrometric projection defined in the WCS standard.

%prep
%setup -q


%build
# fix build on aarch64
autoreconf -vfi
CFLAGS="%{optflags} -fcommon"
%configure --enable-threads
%make_build

%install
%make_install

%files
%doc AUTHORS BUGS COPYRIGHT HISTORY README.md THANKS TODO ChangeLog
%{_bindir}/swarp
%{_mandir}/man?/swarp.*
%{_datadir}/%{name}/swarp.xsl




%changelog
* Thu Aug 20 2020 eatdirt <eatdirt> 2.41.2-1.mga8
+ Revision: 1616751
- Upgrade to version 2.41.2

* Tue Jun 09 2020 joequant <joequant> 2.38.0-9.mga8
+ Revision: 1591458
- update to gcc10

* Fri Feb 14 2020 umeabot <umeabot> 2.38.0-8.mga8
+ Revision: 1517306
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.38.0-7.mga7
+ Revision: 1301257
- Mageia 7 Mass Rebuild

* Mon Jul 09 2018 wally <wally> 2.38.0-6.mga7
+ Revision: 1242761
- fix build on aarch64
- use new make macros
- don't hard code man pages extensions

* Fri Feb 05 2016 umeabot <umeabot> 2.38.0-5.mga6
+ Revision: 937603
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 2.38.0-4.mga6
+ Revision: 937160
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.38.0-3.mga5
+ Revision: 748672
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.38.0-2.mga5
+ Revision: 689634
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 eatdirt <eatdirt> 2.38.0-1.mga5
+ Revision: 642008
- Upgrade to version 2.38.0

* Sat Oct 19 2013 umeabot <umeabot> 2.19.1-2.mga4
+ Revision: 530640
- Mageia 4 Mass Rebuild

* Tue Jul 02 2013 joequant <joequant> 2.19.1-1.mga4
+ Revision: 449617
- imported package swarp

